/*
 * @Author: zc
 * @description 业务标签
 * @version:
 * @Date: 2022-08-26 14:43:22
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2022-11-10 13:24:01
 */
import request from '/@/utils/request';
/**
 * @description 业务标签基础数据
 * @return {*}
 */
export const businessTagBaseData = () => {
    return request({
        url: '/api/v1/Setting/businessTag/baseData',
        method: 'get'
    });
};
/**
 * @description 获取业务标签列表
 * @param {object} params
 * @return {*}
 */
export const businessTagList = (params: object) => {
    return request({
        url: '/api/v1/Setting/businessTag',
        method: 'get',
        params
    });
};
/**
 * @description 新增业务标签
 * @param {object} data
 * @return {*}
 */
export const businessTagAdd = (data: object) => {
    return request({
        url: '/api/v1/Setting/businessTag',
        method: 'post',
        data
    });
};
/**
 * @description 更新业务标签
 * @param {object} data
 * @return {*}
 */
export const businessTagUpdate = (data: object) => {
    return request({
        url: '/api/v1/Setting/businessTag',
        method: 'put',
        data
    });
};
/**
 * @description 删除业务标签
 * @param {object} data
 * @return {*}
 */
export const businessTagDelete = (data: object) => {
	return request({
		url: '/api/v1/Setting/businessTag',
		method: 'delete',
		data
	});
};
/**
 * @description 查询业务标签详情
 * @param {string} id  业务标签id
 */
export const businessTagDetail = (id:string) => {
    return request({
        url: `/api/v1/Setting/businessTag/${id}`,
        method: 'get',
    });
};
/**
 * @description 批量绑定标签
 * @param {object} data
 * @return {*}
 */
export const businessTagBinding = (data: object) => {
    return request({
        url: '/api/v1/Setting/businessTag/binding',
        method: 'put',
        data
    });
};
