/*
 * @Author: zc
 * @description 质检管理-模板管理
 * @version:
 * @Date: 2022-08-09 16:19:55
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2022-11-16 14:49:01
 */
import request from '/@/utils/request';
/**
 * @description 模板基础信息
 */
export const templateBaseData = () => {
    return request({
        url: `/api/v1/Quality/template_base`,
        method: 'get'
    });
};
/**
 * @description 模板列表
 * @param {object}  params
 */
export const templateList = (params: object) => {
    return request({
        url: `/api/v1/Quality/template/list`,
        method: 'get',
        params,
    });
};
/**
 * @description 模板实体
 * @param {string} id
 */
export const templateDetail = (id: string) => {
    return request({
        url: `/api/v1/Quality/template/${id}`,
        method: 'get'
    });
};
/**
 * @description 新增模板
 * @param {object} data
 */
export const templateAdd = (data: object) => {
    return request({
        url: `/api/v1/Quality/template`,
        method: 'post',
        data
    });
};
/**
 * @description 修改模板
 * @param {object} data
 */
export const templateUpdate = (data: object) => {
    return request({
        url: `/api/v1/Quality/template`,
        method: 'put',
        data
    });
};
/**
 * @description 删除模板
 * @param {object} data
 */
export const templateDelete = (data: object) => {
    return request({
        url: `/api/v1/Quality/templateBatch`,
        method: 'delete',
        data
    });
};